package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.APNConfig;

import java.util.List;

@ApiModel(
        value = "APNBeanWrapper",
        description = "This class carries all information related APN Configuration."
)
public class APNBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of device Ids.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "APN Configuration.", required = true)
    private APNConfig operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public APNConfig getOperation() {
        return operation;
    }

    public void setOperation(APNConfig operation) {
        this.operation = operation;
    }
}
